# withTaskAndTestMethods

abstract fun withTaskAndTestMethods(task: String, testClass: String, methods: Iterable<String>): TestLauncher

Adds tests to be executed declared by the container task, class and method name.

Note: These tests are ignored for target Gradle version earlier than 6.1

#### Return

this

#### Since

6.1

#### Parameters

task

The path of the target task.

testClass

The name of the class containing the methods to execute.

methods

The names of the test methods to be executed.